package de.intevation.artifactdatabase;

import org.w3c.dom.Document;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;
import de.intevation.artifacts.ArtifactFactory;

import org.apache.log4j.Logger;

import java.io.IOException;
import java.io.OutputStream;

/**
 * @author Sascha L. Teichmann (sascha.teichmann@intevation.de)
 */
public class DefaultArtifact
implements   Artifact
{
    private static Logger logger = Logger.getLogger(DefaultArtifact.class);
    
    protected String identifier;

    public DefaultArtifact() {
    }

    public String identifier() {
        return this.identifier;
    }

    public String hash() {
        return String.valueOf(hashCode());
    }

    public Document describe(CallContext context) {
        return XMLUtils.newDocument();
    }

    public Document advance(Document target, CallContext context) {
        return XMLUtils.newDocument();
    }

    public Document feed(Document target, CallContext context) {
        return XMLUtils.newDocument();
    }

    public void out(
        Document     format,
        OutputStream out,
        CallContext  context
    )
    throws IOException
    {
    }

    public void setup(String identifier, ArtifactFactory factory, Object context) {
        this.identifier = identifier;
    }

    public void endOfLife(Object context) {
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8:
